<?php
/**
 * ANATEL
 *
 * 15/08/2018 - criado por CAST
 *
 */
require_once dirname(__FILE__) . '/../../SEI.php';

SessaoSEI::getInstance()->validarLink();
SessaoSEI::getInstance()->validarPermissao('md_pet_intimacao_cadastrar');
PaginaSEI::getInstance()->setTipoPagina(InfraPagina::$TIPO_PAGINA_SIMPLES);

$arrComandos = array();
$texto = '';

switch($_GET['acao']) {
	
    case 'md_pet_intimacao_cadastro_confirmar':
        try {
            $strTitulo = 'Gerar Intimao Eletrnica - Confirmao';

            $arrComandos[] = '<button type="button" accesskey="G" name="sbmConfirmarIntimacao" id="sbmConfirmarIntimacao" onclick="gerarIntimacao();" value="Ciente e Gerar Intimao" class="infraButton">Ciente e <span class="infraTeclaAtalho">G</span>erar Intimao</button>';
            $arrComandos[] = '<button type="button" accesskey="C" name="sbmFechar" id="sbmFechar" onclick="window.close();" value="Cancelar" class="infraButton"><span class="infraTeclaAtalho">C</span>ancelar</button>';

            $objMdPetIntPrazoTacitaDTO = new MdPetIntPrazoTacitaDTO();
            $objMdPetIntPrazoTacitaDTO->setBolExclusaoLogica(false);
            $objMdPetIntPrazoTacitaDTO->retTodos();

            $objMdPetIntPrazoTacitaRN = new MdPetIntPrazoTacitaRN();
            $objMdPetIntPrazoTacitaDTO = $objMdPetIntPrazoTacitaRN->consultar($objMdPetIntPrazoTacitaDTO);
            if (count($objMdPetIntPrazoTacitaDTO)>0) {
            	$numNumPrazo = $objMdPetIntPrazoTacitaDTO->getNumNumPrazo();
            }

            
            //Integral
            $texto  = "<div id=divIntegral style='display:none'>";
            $texto .= "<p style='text-align:justify'> ";
            $texto .= "Aps a gerao da Intimao Eletrnica, esta ficar imediatamente disponvel para que o ";
            $texto .= "Destinatrio realize o seu cumprimento com a consulta ao Documento Principal ou, se indicados, "; 
            $texto .= "a qualquer um dos Protocolos dos Anexos da Intimao. Caso a consulta no seja efetuada em "; 
            $texto .= "at " . $numNumPrazo . " dias corridos da data de gerao da Intimao Eletrnica, ";
            $texto .= "automaticamente ocorrer seu Cumprimento por Decurso do Prazo Tcito. ";

            $texto .= "<p style='text-align:justify'> ";
            $texto .= "O Documento Principal e possveis Anexos tero o acesso ao seu teor protegidos at o ";
            $texto .= "cumprimento da Intimao.";

            $texto .= "<p style='text-align:justify'> ";
            $texto .= "<span style='font-weight:bold'>Ateno: </span> ";
            $texto .= "Toda Intimao Eletrnica ocorre por meio da funcionalidade de Disponibilizao de ";
            $texto .= "Acesso Externo do SEI. Com o Tipo de Acesso Externo <span style='font-weight:bold'>Integral</span>, TODOS os Protocolos constantes ";
            $texto .= "no processo sero disponibilizados ao Destinatrio, independentemente de seus Nveis de ";
            $texto .= "Acesso, incluindo Protocolos futuros que forem adicionados ao processo.";
            $texto .= "</p> ";

            $texto .= "<p style='text-align:justify'> ";
            $texto .= "Para que no ocorra nulidade da Intimao, o Acesso Externo Integral somente poder ser ";
            $texto .= "cancelado depois de cumprida a Intimao e concludo o Prazo Externo correspondente (se ";
            $texto .= "indicado para possvel Resposta). Caso posteriormente o Acesso Externo Integral utilizado pela ";
            $texto .= "Intimao Eletrnica seja cancelado, ele ser automaticamente substitudo por um Acesso ";
            $texto .= "Externo Parcial abrangendo o Documento Principal e possveis Anexos da Intimao, alm de ";
            $texto .= "Documentos peticionados pelo prprio Usurio Externo.";
            $texto .= "</p> ";
            $texto .= "</div>";
            
			// Parcial
            $texto .= "<div id=divParcial style='display:none'>";
            $texto .= "<p style='text-align:justify'> ";
            $texto .= "Aps a gerao da Intimao Eletrnica, esta ficar imediatamente disponvel para que o "; 
            $texto .= "Destinatrio realize o seu cumprimento com a consulta ao Documento Principal ou, se indicados, "; 
            $texto .= "a qualquer um dos Protocolos dos Anexos da Intimao. Caso a consulta no seja efetuada em "; 
            $texto .= "at " . $numNumPrazo . " dias corridos da data de gerao da Intimao Eletrnica, ";
            $texto .= "automaticamente ocorrer seu Cumprimento por Decurso do Prazo Tcito.";
            $texto .= "</p>";

            $texto .= "<p style='text-align:justify'> ";
            $texto .= "O Documento Principal e possveis Anexos tero o acesso ao seu teor protegidos at o cumprimento da Intimao.";
            $texto .= "</p>";

            $texto .= "<p style='text-align:justify'> ";
            $texto .= "<span style='font-weight:bold'>Ateno: </span> ";
            $texto .= "Toda Intimao Eletrnica ocorre por meio da funcionalidade de Disponibilizao de ";
            $texto .= "Acesso Externo do SEI. Com o Tipo de Acesso Externo <span style='font-weight:bold'>Parcial</span>, SOMENTE sero disponibilizados "; 
            $texto .= "ao Destinatrio o Documento Principal, os Protocolos dos Anexos da Intimao (se indicados) e os "; 
            $texto .= "Protocolos adicionados no Acesso Parcial (se indicados). O Documento Principal e Protocolos "; 
            $texto .= "dos Anexos sero automaticamente includos no Acesso Parcial.";
            $texto .= "</p>";

            $texto .= "<p style='text-align:justify'> ";
            $texto .= "Para que no ocorra nulidade da Intimao, o Acesso Externo Parcial no poder ser alterado ";
            $texto .= "nem cancelado. Todos os Protocolos includos no Acesso Externo Parcial podero ser ";
            $texto .= "visualizados pelo Destinatrio, independentemente de seus Nveis de Acesso, no abrangendo "; 
            $texto .= "Protocolos futuros que forem adicionados ao processo.";
            $texto .= "</p>";
            $texto .= "</div>";

        } catch (Exception $e) {
            PaginaSEI::getInstance()->processarExcecao($e);
        }
        
    break;
    default:
        throw new InfraException("Ao '".$_GET['acao']."' no reconhecida.");
}

PaginaSEI::getInstance()->montarDocType();
PaginaSEI::getInstance()->abrirHtml();
PaginaSEI::getInstance()->abrirHead();
PaginaSEI::getInstance()->montarMeta();

PaginaSEI::getInstance()->montarTitle(':: '. PaginaSEI::getInstance()->getStrNomeSistema() .' - '.$strTitulo.' ::');

PaginaSEI::getInstance()->montarStyle();
PaginaSEI::getInstance()->abrirStyle();
?>
.clear {clear: both;}
<?php
PaginaSEI::getInstance()->fecharStyle();
PaginaSEI::getInstance()->montarJavaScript();
PaginaSEI::getInstance()->abrirJavaScript();
?>
function inicializar(){
	if (window.opener!=null){
		if(window.opener.document.getElementById('optIntegral').checked){
			document.getElementById('divIntegral').style.display='';
		}
		if(window.opener.document.getElementById('optParcial').checked){
			document.getElementById('divParcial').style.display='';
		}
	}
}
function gerarIntimacao(){
	if (window.opener!=null){
		window.opener.document.getElementById('frmMdPetIntimacaoCadastro').submit();
		window.close();		
	}
}
<?php
PaginaSEI::getInstance()->fecharJavaScript();
PaginaSEI::getInstance()->fecharHead();
PaginaSEI::getInstance()->abrirBody($strTitulo,'onload="inicializar();"');
?>
    <div class="clear"></div>
    <div class="textoIntimacaoEletronica">
        <h2>
        <?php echo $texto; ?>
        </h2>
    </div>
    <div style="padding-right: 40%">
<?php 
PaginaSEI::getInstance()->montarBarraComandosSuperior($arrComandos);
PaginaSEI::getInstance()->fecharBody();
PaginaSEI::getInstance()->fecharHtml();
?>